package com.alvin.util;

import java.util.HashMap;

public class MapBuilder<T> {
    private HashMap<String, T> map = new HashMap<>();

    public MapBuilder() {
    }

    public MapBuilder<T> put(String key, T t) {
        this.map.put(key, t);
        return this;
    }

    public HashMap<String, T> build() {
        return this.map;
    }

    public static void main(String[] args) {
        HashMap<String, String> build = new MapBuilder<String>()
                .put("test", "hhhhhh")
                .put("hhh", "test2")
                .build();
        System.out.println(build);
    }
}
